Menu ▼

Software

Available Software

Most of the third-party software on Beagle machines are installed using the software modules mechanism. The list of modules available (which will give a list of all the versions of an application that are available) can be obtained by typing module avail when logged on Beagle. To find specific program/module see our wiki page.

Applications

Package Name Version Compiled With Module Name
BLAT 3.4 (default) blat
CPMD 3.13.2_01 (default) pgi cpmd
Gromacs 4.5.3 (default)
4.5.5-double
4.5.5-plumed
4.5.5-single
pgi gromacs
LAGAN 2.0 (default) pgi lagan
LAMMPS 20110218
20110203
lammps
NAMD 2.7
2.8-smp
2.8-nonsmp (default)
2.9-smp
2.9-nonsmp
2.9-ReplicaExchangeMPI
pgi namd
NCBI BLAST ncbi-blast+/2.2.24(default)
ncbi-sra-sdk/2.1.10(default)
ncbi-blast+
Trilinos 10.6.2.0 (default)
10.12.1.0
cray pgi trilinos

top


Math Libraries

Package Name Version Compile Module Name
acml 4.4.0
5.1.0
5.2.0
5.3.0
5.3.1(default)
acml
fftw 2.1.5.2
2.1.5.4
2.1.5.6
2.1.5.7
3.2.2.1
3.3.0.1
3.3.0.4
3.3.4.0(default)
cc Example.c
ftn Example.f
fftw
gsl gsl/1.14(default)
gsl/1.15
module swap PrgEnv-cray PrgEnv-gnu
cc gsl.c -I$GSL_DIR/include -L$GSL_DIR/lib -lgsl
gsl
lapack 10.4.9
10.5.0
10.5.02
11.0.01
11.1.01
12.0.00
12.1.01
xt-libsci
LibSci xt-libsci/10.4.9 xt-libsci/10.5.02 xt-libsci/11.1.01 xt-libsci/12.1.01
xt-libsci/10.5.0 xt-libsci/11.0.01 xt-libsci/12.0.00
cray-libsci/11.1.01 cray-libsci/12.1.01 cray-libsci_acc/3.0.2(default)
cray-libsci/12.0.00 cray-libsci/13.0.1(default)
xt-libsci
cray-libsci
PETSC petsc/3.1.04 petsc/3.1.08 petsc-complex/3.1.05
petsc/3.1.05 petsc-complex/3.1.04 petsc-complex/3.1.08
cray-petsc/3.3.00 cray-petsc-complex/3.3.00
cray-petsc/3.3.03 cray-petsc-complex/3.3.03
cray-petsc/3.4.2.0 cray-petsc-complex/3.4.2.0
cray-petsc/3.5.1.0(default) cray-petsc-complex/3.5.1.0(default)
cray-petsc
petsc
TPSL cray-tpsl/1.3.00
cray-tpsl/1.3.01
cray-tpsl/1.3.04
cray-tpsl/1.4.2(default)
cray-tpsl
Trilinos cray-trilinos/10.12.1.0
cray-trilinos/11.10.1.0(default)
cray-trilinos/10.12.1.1
cray-trilinos/11.4.1.0
cray-trilinos
Metis metis/4.0.1(default) metis

top


Compilers

Package Name Version Compiled With Module Name
Chapel 1.2.1
1.3.0(default)
1.7.0.2(default)
cray pgi chapel
Cray 1.0.2
3.1.49A
3.1.61
4.0.46
4.1.40
4.2.24
5.2.14
5.2.40(default)
N/A PrgEnv-cray
Java jdk1.6.0_20
jdk1.6.0_24
jdk1.7.0_07
java/jdk1.7.0_45(default)
N/A java
PGI 10.9.0
pgi/13.7.0(default)
N/A PrgEnv-pgi
Python 2.7.1 (default)
python/2.7.3
2.7.3-vanilla
python/2.7.6-vanilla
python/3.3.0-vanilla
python
R 2.10.0-vanilla
2.12.1
2.13.1-vanilla
2.14.1(default)
2.15.1
2.15.1-vanilla
3.0.2
3.1.0
R

top


Debuggers

Package Name Version Compiled With Module Name
Abnormal Termination Processing (ATP) 1.1.0
1.1.1
1.1.2
1.3.0
1.5.2
1.6.1
1.6.3
1.7.5(default)
N/A atp
Cray Performance Measurement & Analysis Tools 5.1.3
6.0.1(default)
N/A perftools
GNU Debugger (gdb) 7.2 (default) cray pgi gdb
lgdb 1.2
1.4(default)
1.5
cray pgi xt-lgdb
Performance Application Programming Interface (PAPI) 4.1.0.0.2 (default)
4.1.0
cray pgi xt-papi
STAT 2.1.0.1(default) N/A stat

top


Libraries

Package Name Version Compiled With Module Name
AMD Core Math Library (ACML) 4.4.0
5.1.0
5.2.0
5.3.0
5.3.1(default)
pgi acml
Fastmv 1.0.8
1.0.9(default)
cray pgi libfast
FFTW 2.1.5.2
2.1.5.4
2.1.5.6
2.1.5.7
3.2.2.1
3.3.0.1
3.3.0.4
3.3.4.0(default)
cray pgi fftw
Global Arrays (GA) 4.3.2
4.3.3
4.3.5(default)
5.0.2
cray pgi ga
GSL 1.14 (default)
1.15
cray pgi gsl
HDF5 1.8.11(default)
1.8.8
cray pgi hdf5
HDF5 (Parallel) 1.8.11(default)
1.8.8
cray pgi hdf5-parallel
IOBUF 2.0.1
2.0.2
2.0.3
2.0.5(default)
cray pgi iobuf
libonesided 1.0.0
1.1.0
1.3.0
1.5.0(default)
cray pgi onesided
LibSci 10.4.9
10.5.0
10.5.02
11.0.01
11.1.01
12.0.00
12.1.01
cray pgi xt-libsci
METIS 4.0.1 (default) metis
MRNet 3.0.0 (default) cray pgi mrnet
NetCDF 4.2.0
4.3.0(default)
cray pgi netcdf
NetCDF (Parallel) 4.2.0
4.3.0(default)
cray pgi netcdf-hdf5parallel
Netlib CBLAS 3.0 (default) pgi cblas
NUMA Toolkit 1.0.0
1.1.0
1.3.0
1.5.0(default)
cray pgi ntk
PETSc 3.1.04
3.1.05
3.1.08
cray pgi petsc
PETSc (Complex Numbers) 3.1.04
3.1.05
3.1.08
cray pgi petsc-complex
Qhull 2010.1 (default) qhull
qrupdate 1.1.1 (default) qrupdate
SuiteSparse 3.6.0 (default) SuiteSparse
Tcl 8.5.7 (default) cray pgi tcl

top


Python Modules

Package Name Version Compiled With Module Name
NumPy 1.6.2 2.7.3-vanilla numpy
NumPy 1.8.1 python/2.7.6-vanilla numpy
Sqlite3 2.6.0 python/2.7.6-vanilla _sqlite3
Python Imaging Library (PIL) 1.1.7 python/2.7.3-vanilla, python/2.7.6-vanilla pil
SciPy 0.11.0 python/2.7.3-vanilla scipy
SciPy 0.14.0 python/2.7.6-vanilla scipy
Nose 1.2.1 python/2.7.3-vanilla nose
Nose 1.3.3 python/2.7.6-vanilla nose
Networkx 1.7 python/2.7.3-vanilla networkx
Networkx 1.8.1 python/2.7.6-vanilla networkx
Matplotlib 1.2.1 python/2.7.3-vanilla matplotlib
Matplotlib 1.3.1 python/2.7.6-vanilla matplotlib
Matplotlib 1.1.1 python/2.7.3-vanilla matplotlib
mpi4py 1.3 python/2.7.3 mpi4py (export paths***)
Cython python/2.7.3-vanilla cython
Cython 0.20.1 python/2.7.6-vanilla cython
Pysam 0.7.8 python/2.7.6-vanilla pysam
Blist 1.3.6 python/2.7.6-vanilla blist
Sqlalchemy 0.9.4 python/2.7.6-vanilla sqlalchemy
Biopython 1.64 python/2.7.6-vanilla bio
Pymongo python/2.7.6-vanilla pymongo
Pygresql python/2.7.6-vanilla pg
Psycopg2 2.5.3 (dt dec pq3 ext) python/2.7.6-vanilla psycopg2

(***) If you decide to use Python version 2.7.3 with corresponding modules: NumPy, SciPy, Matplotlib and MPI4Py,just loading python 2.7.3 will not load these modules. To use them please set the following paths:
export PYTHONPATH=${PYTHONPATH}:/soft/python/2.7/2.7.3/modules/numpy/1.7.0/lib/python2.7/site-packages
export PYTHONPATH=${PYTHONPATH}:/soft/python/2.7/2.7.3/modules/scipy/0.12.0/lib/python2.7/site-packages
export PYTHONPATH=$PYTHONPATH:/soft/python/2.7/2.7.3/modules/matplotlib/1.2.1/lib/python2.7/site-packages
export PYTHONPATH=$PYTHONPATH:/soft/python/2.7/2.7.3/modules/mpi4py/1.3/lib/python2.7/site-packages

To learn more about Python on Beagle2 please see out wiki page.
top


Tools

Package Name Version Compiled With Module Name
Charm++ 6.2.2 (default) cray pgi charm++
CMake 2.8.4 (default) cmake
Moab 5.4.1
6.1.1(default)
5.4.4
moab
Torque 2.5.7 (default)
2.4.11
torque

top

Software Requests

  • Installing/profiling/debugging software in user directories
  • Version upgrades
  • New software currently not available on Beagle
Should be submitted to beagle-support@lists.uchicago.edu.
Please submit the following information:
  • Research project, group and/or PI
  • Name(s) of software packages(s)
  • Intended use and/or purpose
  • Licensing requirements (if applicable)

Please provide as much detail as possible such as specific instructions or preferences (specific release/version/vendor, associated packages, URLs for download, etc.).

top